#include"../common/book.h"
#define N 8

__host__ double** Make2DDoubleArray(int arraySizeX, int arraySizeY) 
{
        double** theArray;
        theArray = (double**) malloc(arraySizeX*sizeof(double*));
        for (int i = 0; i < arraySizeX; i++)
        theArray[i] = (double*) malloc(arraySizeY*sizeof(double));
        return theArray;
}
__host__ void showxx(double **A)
{       int i,j;
        for(i=0;i<N;i++){
                printf("\n");
                for(j=0;j<N;j++){
                printf("%.1f ",A[i][j]);;
                }
        }
}

__host__ void init2D(double **A)
{       int i,j;
        for(i=0;i<N;i++){
                for(j=0;j<N;j++){
                        A[i][j] = i+j;
                }
        }
}
__global__ void adda( double **A)
{       
    int i = threadIdx.x + blockIdx.x * blockDim.x;
    int j = threadIdx.y + blockIdx.y * blockDim.y;
    //int offset = x + y * blockDim.x * gridDim.x;
    if (i < N && j < N){				//2nd day revise
		A[i][j] = i + j  ;                 //HERE IS 41ST LINE
		//A[x][y] = blockIdx.x;
		//A[x][y] = blockIdx.y;
		//A[x][y] = threadIdx.x;
		//A[x][y] = threadIdx.y;
		//A[x][y] = blockDim.x;
		//A[x][y] = blockDim.y;
	}		
}
